### Method

# GnomeAutoar Compressor set_passphrase

#### Declaration [src]

    void
    autoar_compressor_set_passphrase (
      AutoarCompressor* self,
      const gchar* passphrase
    )

#### Description [src]

Sets the archive passphrase. It works only with `ARCHIVE_FORMAT_ZIP`.

#### Parameters

`passphrase`

  Type: `const gchar*`

  The archive passphrase.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.